Subject: Re: [PATCH 0/4] New interface for memory accounting (take 1)

From: Hideo AOKI <[email-masked]>
Date: Mon, 31 Dec 2007 13:46:59 -0500

Hello David,

David Miller wrote:
> From: Hideo AOKI <[email-masked]>
> Date: Sun, 30 Dec 2007 03:47:33 -0500
> 
>> The patch set consists of the following 4 patches.
>>
>> [1/4] introducing new memory accounting interface
>> [2/4] adding memory accounting points to consolidate functions
>> [3/4] updating TCP to use new interface
>> [4/4] updating SCTP to use new interface
> 
> I like this work very much and will add this to net-2.6.25
> But I will have to combine it all into one patch.
> 
> You cannot have one patch which breaks the build in any way.  All of
> the kernel must build properly after each patch in your patchset is
> applied.
> 
> Since patch 1 renames all of the sk_stream_*() functions, TCP and SCTP
> stop building.

That's correct.

> We enforce this rule, otherwise when users try to use "git bisect" to
> find out where regressions are added, they will get stuck in places
> like this where the tree will not build due to such careless
> changesets.

Thank you for your explanation. To be honest, I didn't know the rule
exactly. I am so sorry for sending inconvenient patch set.

Best regards,
Hideo

-- 
Hitachi Computer Products (America) Inc.